## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeAttrNS Class Reference

`#include <XalanSourceTreeAttrNS.hpp>`

Inheritance diagram for XalanSourceTreeAttrNS:

[legend]
Collaboration diagram for XalanSourceTreeAttrNS:

[legend]
List of all members.

## Public Methods

- XalanSourceTreeAttrNS (const XalanDOMString &theName, const XalanDOMString &theLocalName, const XalanDOMString &theNamespaceURI, const XalanDOMString &thePrefix, const XalanDOMString &theValue, XalanSourceTreeElement *theOwnerElement=0, IndexType theIndex=0)
    Constructor. More...
- virtual ~XalanSourceTreeAttrNS ()
- virtual XalanSourceTreeAttrNS* cloneNode (bool deep) const
    Returns a duplicate of this node. More...
- virtual const XalanDOMString& getNamespaceURI () const
    Get the namespace URI of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getPrefix () const
    Get the namespace prefix of this node, or `null` if it is unspecified. More...
- virtual const XalanDOMString& getLocalName () const
    Returns the local part of the qualified name of this node. More...

## Protected Methods

- XalanSourceTreeAttrNS (const XalanSourceTreeAttrNS &theSource, bool deep=false)
- XalanSourceTreeAttrNS (const XalanSourceTreeAttr &theSource, bool deep=false)

## Constructor & Destructor Documentation

XalanSourceTreeAttrNS::XalanSourceTreeAttrNS ( | const XalanDOMString & theName,
| const XalanDOMString & theLocalName,
| const XalanDOMString & theNamespaceURI,
| const XalanDOMString & thePrefix,
| const XalanDOMString & theValue,
| XalanSourceTreeElement * theOwnerElement = 0,
| IndexType theIndex = 0 )

  | Constructor. Parameters:
  theName | The name of the attribute
  theLocalName | The local name of the attribute
  theNamespaceURI | The namespace URI of the attribute
  thePrefix | The namespace prefix of the attribute
  theValue | The value of the attribute
  theOwnerElement | The element that owns the instance
  theIndex | The document-order index of the node.

XalanSourceTreeAttrNS::~XalanSourceTreeAttrNS ( | )`[virtual]`

XalanSourceTreeAttrNS::XalanSourceTreeAttrNS ( | const XalanSourceTreeAttrNS & theSource,
| bool deep = false )`[protected]`

XalanSourceTreeAttrNS::XalanSourceTreeAttrNS ( | const XalanSourceTreeAttr & theSource,
| bool deep = false )`[protected]`

## Member Function Documentation

XalanSourceTreeAttrNS * XalanSourceTreeAttrNS::cloneNode ( | bool deep ) const`[virtual]`

  | Returns a duplicate of this node. This function serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.). Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node. Parameters:
  deep | If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
Returns: The duplicate node. Reimplemented from XalanSourceTreeAttr.

const XalanDOMString & XalanSourceTreeAttrNS::getLocalName ( | ) const`[virtual]`

| Returns the local part of the qualified name of this node. For nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, it is null. Reimplemented from XalanSourceTreeAttr.

const XalanDOMString & XalanSourceTreeAttrNS::getNamespaceURI ( | ) const`[virtual]`

| Get the namespace URI of this node, or `null` if it is unspecified. This is not a computed value that is the result of a namespace lookup based on an examination of the namespace declarations in scope. It is merely the namespace URI given at creation time. For nodes of any type other than `ELEMENT_NODE` and `ATTRIBUTE_NODE` and nodes created with a DOM Level 1 method, such as `createElement` from the `Document` interface, this is always `null`. Reimplemented from XalanSourceTreeAttr.

const XalanDOMString & XalanSourceTreeAttrNS::getPrefix ( | ) const`[virtual]`

| Get the namespace prefix of this node, or `null` if it is unspecified. Reimplemented from XalanSourceTreeAttr.

The documentation for this class was generated from the following file:

- XalanSourceTreeAttrNS.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.